Skip to content

API Reference

Licenses

Read, extend and revoke licenses; inspect and revoke device seats. Guide: Licenses & Devices.

get/licenses

List licenses

Scope licenses:read

Parameters

  • user_idquery · string
  • statusquery · string
  • typequery · string
  • expires_beforequery · string
  • pagequery · integer
  • limitquery · integer
cURL
curl -X GET "https://serverless.grout.app/v1/licenses" \
  -H "Authorization: Bearer $GROUT_API_KEY"
get/licenses/summary

License counts by type/status

Scope licenses:read

cURL
curl -X GET "https://serverless.grout.app/v1/licenses/summary" \
  -H "Authorization: Bearer $GROUT_API_KEY"
get/licenses/{id}

Get a license

Scope licenses:read

Parameters

  • idpath · stringrequired
cURL
curl -X GET "https://serverless.grout.app/v1/licenses/$ID" \
  -H "Authorization: Bearer $GROUT_API_KEY"
post/licenses/{id}/revoke

Revoke a license

Scope licenses:write

Parameters

  • idpath · stringrequired

Body

  • reasonstring
cURL
curl -X POST "https://serverless.grout.app/v1/licenses/$ID/revoke" \
  -H "Authorization: Bearer $GROUT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"reason":"<reason>"}'
post/licenses/{id}/extend

Extend a license

Scope licenses:write

Parameters

  • idpath · stringrequired

Body

  • expires_atdate-time
  • daysinteger
cURL
curl -X POST "https://serverless.grout.app/v1/licenses/$ID/extend" \
  -H "Authorization: Bearer $GROUT_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"expires_at":"<expires_at>","days":0}'
get/licenses/{id}/devices

Device seats and activations

Scope licenses:read

Parameters

  • idpath · stringrequired
cURL
curl -X GET "https://serverless.grout.app/v1/licenses/$ID/devices" \
  -H "Authorization: Bearer $GROUT_API_KEY"
post/licenses/{id}/devices/{seatId}/revoke

Revoke a device seat

Scope licenses:write

Parameters

  • idpath · stringrequired
  • seatIdpath · stringrequired
cURL
curl -X POST "https://serverless.grout.app/v1/licenses/$ID/devices/$SEATID/revoke" \
  -H "Authorization: Bearer $GROUT_API_KEY"